> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/settings/data-models/product-structures/wizard-setup.md).

# Wizard setup

### Add a Model creation flow

1. Add steps to the Model creation flow
2. Add properties to steps
3. Click "Save"

### Add a Model copy flow

1. Add steps to the Model copy flow
2. Add properties to steps
3. Click "Save"

### Delete flow

1. Remove all steps
2. Click "Save"

### Add step to flow

1. Click "+"-icon
2. Choose classification or dynamic wizard step
3. Set headline and description
4. Click "Submit"

### Edit step

1. Hover step and click "Edit"-icon
2. Modify headline and/or description
3. Click "Submit"

### Copy step

1. Hover step and click "Copy"-icon
2. Right click a step you want to paste above or below
3. Click "Paste above" or "Paste below"

### Delete step

1. Hover step and click "Delete"-icon

### Add property to step

1. Click "+"-icon inside step
2. Choose between Attribute, Business unit selector or Variation definition selector property
3. Set details&#x20;

### Edit property

1. Hover property and click "Edit"-icon

### Copy property

1. Hover property and click "Copy"-icon
2. Right click a property you want to paste above or below
3. Click "Paste above" or "Paste below"

### Cut property

1. Hover property and click "Cut"-icon
2. Right click a property you want to paste above or below
3. Click "Paste above" or "Paste below"

### Delete property

1. Hover property and click "Delete-icon"


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/reference/settings/data-models/product-structures/wizard-setup.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
